Package Details: tgpt-bin 2.8.0-1

Git Clone URL: https://aur.archlinux.org/tgpt-bin.git (read-only, click to copy)
Package Base: tgpt-bin
Description: ChatGPT in terminal without needing API keys
Upstream URL: https://github.com/aandrew-me/tgpt
Keywords: ai blackboxai chatgpt gpt gpt3 gpt4 openai phind tgpt
Licenses: GPL-3.0-only
Conflicts: tgpt, tgpt-git
Submitter: georgewoodall82
Maintainer: georgewoodall82 (Aandrew)
Last Packager: georgewoodall82
Votes: 18
Popularity: 1.49
First Submitted: 2023-04-23 12:14 (UTC)
Last Updated: 2024-06-09 17:10 (UTC)

Dependencies (1)

Required by (0)

Sources (3)

Latest Comments

1 2 Next › Last »

ksharizard commented on 2024-06-09 21:24 (UTC) (edited on 2024-06-09 21:25 (UTC) by ksharizard)

Does not compile for tgpt 2.8.0. Here is a patch to correct the checksums:


diff --git a/PKGBUILD b/PKGBUILD
index 2e229b5..9fa00a8 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -11,9 +11,9 @@ depends=('glibc')
 source_x86_64=("tgpt-linux-x86_64::https://github.com/aandrew-me/tgpt/releases/download/v${pkgver}/tgpt-linux-amd64")
 source_aarch64=("tgpt-linux-aarch64::https://github.com/aandrew-me/tgpt/releases/download/v${pkgver}/tgpt-linux-arm64")
 source_i686=("tgpt-linux-i686::https://github.com/aandrew-me/tgpt/releases/download/v${pkgver}/tgpt-linux-i386")
-md5sums_x86_64=('d2cf4b0f676010df0def10527a137e45')
-md5sums_aarch64=('5eaad2bf215bf992ed7bd50363ff9d5c')
-md5sums_i686=('0ab51021c4cbc7ee13ba9ce7bffda785')
+sha256sums_x86_64=('cb4aea48fb9beabdbb25d0a76afdf8b436cce8ee4fb40a8a38ed0d3749afb588')
+sha256sums_aarch64=('03a79c6aea8c9a7d47d3c3722cba0c52fc96fe4c2bfb899cbdefb5d2b39133b1')
+sha256sums_i686=('01b54ac0c9e62dbac2e6a32cf4fd2149b5ba4238571e41a978c92b0da9f63c4f')

 package() {
     cd "$srcdir"

Aftermath commented on 2023-12-25 00:23 (UTC)

Thanks for maintenance.

graves501 commented on 2023-10-03 10:14 (UTC)

Thanks georgewoodall82 for keeping this package up-to-date.

It's quite a bit of work since a lot of hotfixes are needed since tgpt's API calls seem to break.

Aftermath commented on 2023-09-03 17:31 (UTC)

thanks for maintenance.

Cody_Learner commented on 2023-08-12 22:04 (UTC)

Thanks georgewoodall82.

I made an issue here: https://github.com/aandrew-me/tgpt/issues/75

georgewoodall82 commented on 2023-08-12 21:49 (UTC) (edited on 2023-08-12 22:39 (UTC) by georgewoodall82)

I think you should report this on the github page https://github.com/aandrew-me/tgpt

I am not the maintainer of tgpt, just the maintainer of the aur package.

Cody_Learner commented on 2023-08-12 20:39 (UTC) (edited on 2023-08-12 20:46 (UTC) by Cody_Learner)

I think there are possibly some issues with this release. I've been running the previous two versions without this intermittent error in an nspawn container on this system.


╭─ Bot
panic: runtime error: index out of range [1] with length 1

goroutine 1 [running]:
main.getData({0xc000110580, 0x159}, {0x1?, 0x854cbb?}, {0x0?, 0x0?}, 0x1)
    /home/runner/work/tgpt/tgpt/functions.go:120 +0x1229
main.main()
    /home/runner/work/tgpt/tgpt/main.go:159 +0x1a94

Strangely, this seems to come up as a result of asking difficult questions, and returned me to a bash prompt following this output.
In past versions, it would just end the tgpt session, returning me to my regular bash prompt with no output.

passenger_5446 commented on 2023-08-12 09:35 (UTC)

I managed to install and run it on my armv7l device (32-bit).